Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1718643 - Firefox on Wayland segmentation fault when developer tools are detached to separate window
Summary: Firefox on Wayland segmentation fault when developer tools are detached to se...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-06-09 15:22 UTC by Yağmur Oymak
Modified: 2019-07-02 08:18 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-02 08:18:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Stack trace (deleted)
2019-06-09 15:22 UTC, Yağmur Oymak
no flags Details

Description Yağmur Oymak 2019-06-09 15:22:20 UTC
Created attachment 1578796 [details]
Stack trace

Description of problem:

When I want to detach the developer tools from the main window by using the "Separate Window" option in the three-dot menu, Firefox on Wayland crashes.

Should I report this to Mozilla Bugzilla?

Version-Release number of selected component (if applicable): 67.0-4.fc30


How reproducible: Always


Steps to Reproduce:
1. Open developer tools (CRTL+Shift+I or from Tools->Web Developer->Toggle Tools)
2. Click the three-dot menu
3. Choose "Separate Window"

Actual results: For an instant, the window appears. Then Firefox crashes with SIGSEGV.


Expected results: The tools should be detached to a separate window and Firefox should continue working.


Additional info: Stack trace is included in the attachment.

Comment 1 Felix Kaechele 2019-06-16 03:00:49 UTC
Same goes for re-attaching the window.

Workaround:
1. Exit Firefox on Wayland
2. Bring the window in position using non-Wayland Firefox
3. Exit non-Wayland Firefox
4. Start Firefox on Wayland

Comment 2 Martin Stransky 2019-07-01 07:00:57 UTC
Can you try latest nightly from mozilla? How-to is here:
https://fedoraproject.org/wiki/How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries
Thanks.

Comment 3 Yağmur Oymak 2019-07-01 09:46:10 UTC
(In reply to Martin Stransky from comment #2)
> Can you try latest nightly from mozilla? How-to is here:
> https://fedoraproject.org/wiki/
> How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries
> Thanks.

I've tried the latest nightly, 69.0a1 (2019-06-30) (64-bit). Still getting a crash.

Comment 4 Martin Stransky 2019-07-01 11:40:04 UTC
Yes, I can reproduce it too, Thanks.

Comment 5 Martin Stransky 2019-07-02 08:18:40 UTC
Moving upstream - https://bugzilla.mozilla.org/show_bug.cgi?id=1562827


Note You need to log in before you can comment on or make changes to this bug.